package cn.com.qmth.stmms.ms.commons.utils.specification;

/**
 * 分页DTO
 * @author xudengqi
 * 2016年8月18日
 */
public class PagingAndSortingDTO {
	
	private int page;
	
	private int size;
	
	private int pageCount;
	
	private String[] properties;
	
	private String order;
	
	private long totalCount;
	
	private Object data;
	
	
    protected PagingAndSortingDTO() {
    }

    public PagingAndSortingDTO(int page, int size) {
        this.page = page;
        this.size = size;
    }

    public PagingAndSortingDTO(Object data){
        this.data = data;
    }

    public PagingAndSortingDTO(int page, int size, int pageCount,long totalCount, Object data) {
        this.page = page;
        this.size = size;
        this.pageCount = pageCount;
        this.data = data;
        this.totalCount = totalCount;
    }

	public int getPage() {
		return page;
	}

	public void setPage(int page) {
		this.page = page;
	}

	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}

	public int getPageCount() {
		return pageCount;
	}

	public void setPageCount(int pageCount) {
		this.pageCount = pageCount;
	}

	public String[] getProperties() {
		return properties;
	}

	public void setProperties(String[] properties) {
		this.properties = properties;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}

	public long getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}
	
    
    

}
